Subject: Re: bug#71853: 29.4; `kill-compilation` does not kill compilation process on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Jul 2024 09:18:26 +0300

> From: Tze Chian Kam <[email-masked]>
> Date: Thu, 4 Jul 2024 14:30:15 +1000
> Cc: [email-masked]
> 
> > From: Eli Zaretskii
> > Date: Wed, 03 Jul 2024 14:17:06 +0300
> >
> > I guess our detection of MSYS applications needs some update?  Can you
> > show the list of DLLs that your MSYS2 python.exe depends on?  If you
> > have GNU Binutils installed, the following command should show that:
> >
> >   objdump -x /path/to/python.exe | fgrep "DLL Name"
> 
> libpython3.11.dll
> KERNEL32.dll
> msvcrt.dll

If this is the MSYS2 Python, the one you cannot interrupt, I guess
some recent change in Python for Windows causes this problem.  Because
my Python is older and I don't have this problem.